# Enum QuorumAuth.Status

java.lang.Object
java.lang.Enum<QuorumAuth.Status>
org.apache.zookeeper.server.quorum.auth.QuorumAuth.Status

All Implemented Interfaces:
  `Serializable, Comparable<QuorumAuth.Status>`

Enclosing class:
  `QuorumAuth`

public static enum QuorumAuth.Status extends Enum<QuorumAuth.Status>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ERROR`
`IN_PROGRESS`
`SUCCESS`

## Method Summary

Modifier and Type
Method
Description
`static QuorumAuth.Status`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static QuorumAuth.Status[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### IN_PROGRESS

public static final QuorumAuth.Status IN_PROGRESS

### SUCCESS

public static final QuorumAuth.Status SUCCESS

### ERROR

public static final QuorumAuth.Status ERROR

## Method Details

### values

public static QuorumAuth.Status[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static QuorumAuth.Status valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null